dlopen:cannot load any more object with static TLS:

Python学习 同时被 2 个专栏收录
40 篇文章 0 订阅

 

这是一个低版本glibc (< 2.23)的已知bug,通过dlopen加载一个动态链接库(DSO),并依次将其依赖的DSO也加载进来的时候。具体产生条件是:

  1. glibc < 2.23
  2. 已经加载了超过14个含TLS的DSO
  3. 当前加载的DSO使用了static TLS

注意条件2,3。如果能够在加载14个含TLS的DSO前,提前加载含有static TLS的DSO,即可绕过这个问题。

具体做法:找到报错模块(比如paddle)如果可以单独import成功的话,调整import包的顺序,把出问题的包放在最前面import

  • 0
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

相关推荐
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值